本文作者:非李莫属

打开帝国备份王显示500错误的解决方法

非李莫属 3年前 (2015-12-21) 5357
摘要: 最新一直在更新和优化 zblogPHP主题模板,备份了好多的数据,但是感觉直接通过phpmyadmin备份导出导入数据库好费劲,所以想通过帝国备份王来备份数据库,然后打包网站,直接...

最新一直在更新和优化 zblogPHP主题模板,备份了好多的数据,但是感觉直接通过phpmyadmin备份导出导入数据库好费劲,所以想通过帝国备份王来备份数据库,然后打包网站,直接下载到新的服务器,然后重新恢复数据库即可,这么以来多简单啊,但是下载完帝国备份王之后还是遇到了一点点问题。打开帝国备份王显示500错误。。。

不知道什么原因,最初以为可能是网站伪静态导致的,但是尝试修改之后发现并非如此,但是找了一点资料才知道怎么解决帝国备份王显示htpp500的错误,这个原因是因为php.ini的一个文件配置导致的,具体修改方法如下:

修改php.ini,把short_open_tag 设为 On 然后重新服务器,切记是服务器不是IIS,重启之后在进入帝国备份王就正常了;

正常打开,设置好数据库发现还是无法备份,提示:数据库无法备份,请重新填写,真是一波三折了,于是乎又重新查找资料,发现是没有给权限,按照帝国备份王的帮助说明重新分配权限,结果。。。OK

话说帝国备份王真的挺好用,做个记录以免以后再遇到这种情况而导致不知所措。

文章版权及转载声明:

作者:非李莫属本文地址:https://www.talklee.com/blog/92.html发布于 3年前 (2015-12-21)
文章转载或复制请以超链接形式并注明出处李洋个人博客

分享到:
赞(0

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏

腾讯云服务器安全可靠高性能,多种配置供您选择

发表评论

快捷回复:

评论列表 (有 5 条评论,5357人围观)参与讨论
网友昵称:兽性大发
兽性大发游客2018-04-25回复
我之前用的是5.3的PHP,一直正常使用,最近换了typecho1.1的版本,所以PHP也要升级到5.4以上版本,我升到到了5.6,可是帝国备份王却不可以使用了,输入网址也是错误500,按你说的找到PHP.INI,请问去哪里找这个文件啊?我在虚拟主机上没有这个文件
网友昵称:非李莫属
非李莫属管理员2018-04-26回复
@兽性大发 不用帝国,直接导出数据库不好用么?用帝国跨版本还是会出现某些错误的。
网友昵称:访客
访客游客2015-12-28回复
直接进MySQL不是更简单吗。
网友昵称:访客
访客游客2015-12-21回复
原来如此,哈哈。。。
网友昵称:非李莫属
非李莫属管理员2015-12-22回复
@访客 嗯嗯 ,很简单吧,